> ## Name

> cgGetError - get error condition

> ## Synopsis

>     #include <Cg/cg.h>

>     CGerror cgGetError( void );

> ## Parameters

> None.

> ## Return Values

> Returns the last error condition that has occured.

> Returns CG_NO_ERROR if no error has occurred.

> ## Description

> cgGetError returns the last error condition that has occured. The error condition is reset after cgGetError is called.

> ## Examples

>       CGerror err = cgGetError();

> ## Errors

> None.

> ## History

> cgGetError was introduced in Cg 1.1.

> ## See Also

> cgSetErrorCallback, cgSetErrorHandler